%define section	free

Name:		jonathan
Version:	3.1
Release:	1jpp
Epoch:		0
Summary:	Distributed Object Platform (DOP) written entirely in Java
License:	BSD
URL:		http://jonathan.objectweb.org/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	jonathan-cvs.tar.bz2
Requires:	oldkilim
Requires:	jonathan
Requires:	jta
Requires:	monolog
Requires:	nanoxml-lite
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	oldkilim
BuildRequires:	jonathan
BuildRequires:	jta
BuildRequires:	monolog
BuildRequires:	nanoxml-lite
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Jonathan is a Distributed Object Platform (DOP) written entirely in
Java. Jonathan was developed originally at the research labs of France
Tlcom in the context of the European project ReTINA, whose aim was to
define an architecture for telecommunications distributed environments.
Telecommunications applications such as multimedia services have
stringent requirements in terms of scalability, adaptability and
realtime. Jonathan's response to this is through its "openness" in the
sense that contrary to standard DOPs (and in particular, most CORBA
ORBs), the abstractions that make up its internal machinery are
accessible by an application programmer and may be specialized to meet
specific requirements.

Jonathan is organised around a very small kernel (namely Kilim) that
essentially lets the infrastructure components communicate. Currently,
these components consist of a number of independently developed
protocols, marshallers, stub factories, etc.

Different personalities can be built using these components. A
personality is a set of normalized Application Programming Interfaces:
Java RMI is a personality, CORBA is another, COM still another...
Jonathan provides two personnalities:

    * David is a CORBA ORB implementation. David lacks a number of CORBA
      features (POA, interface repository, Dynamic Any,...) and provides only
      a naive naming service implementation. However, our ambition is to fill
      these gaps and to provide a reference CORBA implementation.

    * Jeremie provides an RMI-like programming style.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
find . -name "*.jar" -exec rm -f {} \;
find . -type d -name "CVS" | xargs rm -rf
rm -rf src/javax
#rm -rf src/org/omg

%build
export CLASSPATH=$(build-classpath jonathan jta oldkilim oldkilim-tools monolog/ow_monolog nanoxml-lite)
pushd libs
for jar in $(echo $CLASSPATH | sed 's/:/ /g'); do
ln -sf ${jar} .
done
popd

ant jonathan javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 libs/jonathan.jar $RPM_BUILD_ROOT%{_javadir}

(cd $RPM_BUILD_ROOT%{_javadir}//%{name} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/apis/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc doc/*
%{_javadir}/%{name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Thu Jan 29 2004 David Walluck <david@anti-microsoft.org> 0:3.1-1jpp
- 3.1
- include all docs for now (quite a mess and should be autogenerated)

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:3.0-0.a10.1jpp
- release
